package com.tzld.piaoquan.content.supply.common.enums;

/**
 * 异常
 *
 * @author supeng
 * @date 2020/08/31
 */
public enum ExceptionEnum {

    SUCCESS(0, "成功"),
    SYSTEM_ERROR(1, "系统错误"),
    PARAMS_INVALID(2, "参数错误"),
    DATA_NOT_EXIST(3, "数据不存在"),
    DATA_ERROR(4, "数据错误"),
    EXIST_RELATED_DATA(5, "存在关联数据"),
    DATA_EXIST(6, "数据已存在"),
    ILLEGAL_OPERATION (7, "非法操作"),
    CONFIG_ERROR (8, "配置异常"),
    FLOW_POOL_AUTO_ENTER_ERROR (9, "只能同时一个流量池打开【自动入池】开关"),
    FLOW_POOL_1_AUTO_ENTER_HOLD (10, "流量池【id=1】，作为尾号流量池的开关切换策略，需要保持【自动入池】状态"),
    FLOW_POOL_AUTO_ENTER_EXCEPT_SUPPLY (11, "除了供给池，只能同时一个流量池打开【自动入池】开关"),
    ;

    private int code;
    private String msg;

    public int getCode() {
        return code;
    }


    public String getMsg() {
        return msg;
    }

    ExceptionEnum(int code, String msg) {
        this.code = code;
        this.msg = msg;
    }
}
